RFC 531
Feast or famine? A response to two recent RFC's about network information
Feast or Famine? π
A Response to Two Recent RFCs About Network Information π
Okay bestie, the header info first so we're on the same page β¨
Network Working Group, Request for Comments #531, NIC 17450 π
Author: M. A. Padlipsky of MIT-Multics π
Dated June 26, 1973 πΈ
The original doesn't say what category or status it has, and it doesn't say it obsoletes or updates anything. So I'm not making any of that up π
In RFC 514, Will Kantrowitz comes back to the theme of his superb RFC 459. There are way too many people spending way too much time asking for way too much information about Network Hosts π Then in RFC 519, John Pickens comes back to the theme of his kinda whiny RFC 369. Learning how to use Network Hosts is not easy π So on one hand, it's giving a feast of information floating around, and on the other hand, it's giving a famine. Can this apparent contradiction actually be resolved? π€
I think it can! I'm going to try, but first let me make a few observations about each extreme π¦
Start with Kantrowitz's issues. Honestly, things are even worse for the "big" Servers than for the experimental ones. We have something like 50 CUBIC feet of system listings for Multics π¦ Then there are untold user-supplied programs that might be interesting, plus several thousand employees if our "site" means M.I.T. as a whole. Surely they didn't want all that, even before the request was withdrawn π
Now Pickens's issues. Prospective users should have some way of learning about the resources available π§ The thing is, they do have that! They just aren't using it. As Network Technical Liaison for Multics, I've never heard from any of the U.C.S.B. investigators. I don't even remember them requesting a Multics Programmers Manual, even though our Resource Notebook section offers one to any Network site on request. I do remember seeing instance after instance of botched login attempts from them in our error logs, though π I called their Liaison to flag the problem, but they weren't in touch with him either. (Sorry, I know that's a lot of parentheses.) I also remember saying, time after time, while watching them flounder around, "it's a pity nobody reads the Resource Notebook." π
That's the key, honestly. We have a Resource Notebook. It lists Technical Liaisons. It gives information about the Hosts thought to be relevant to Network users. It gives references to other published information. So why don't we use it??? π Sure, not every section is up to par. Sure, some kinds of information are neither in there nor pointed to. But that just means it needs some seasoning. The meal is already on the table, and it's neither a glutton's portion nor a starvation diet π½οΈ So let's work with what we've got instead of charging around demanding MORE
or sulking around bemoaning the (false) fact that the cupboard is bare. π
So if we actually rely on the Resource Notebook the right amount, that should solve the information problem. Even as it is now, it would have solved the U.C.S.B. people's problems pretty completely, because it already tells them to get in touch with me and already shows them how to log in. (Unless, of course, the unstated goal of their game was to do everything with only on-line information π) The Resource Notebook could even have solved the RML people's problems. If it had been made clear to them that global requests for Host information get handled through the Notebook, they would've been in touch with people who could have explained why their requests were inappropriate π«Ά And on close calls, I believe the Resource Notebook maintainers would know who to consult about whether results are appropriate for new categories.
Now, I'm not here to pitch the Resource Notebook as a cure-all π It clearly needs strengthening in terms of content. Even more clearly, it needs wide dissemination. (The planned Network New Users' Packet will show how to get at it on-line at the NIC, I'm told. Even better, we might want to make it available on microfiche β¨) Also, I'm definitely not suggesting the Notebook should replace the individual Hosts' users' manuals. It does seem like it'll be the partial home for documentation of any generic commands we manage to come up with, though π But I also think it's important for the NWG to understand and agree on the right way to view the Resource Notebook. I suggest that the right view is as "primary source of Host information." Seeing it any other way would, I think, be wasting both the investment it already represents and the opportunity it can represent π
[ This RFC was put into machine readable form for entry into the online RFC archives by Alex McKenzie with support from GTE, formerly BBN Corp. 10/99 ] π¦
π¦ where this page comes from
- ietf: rfc531 1973-06
- π girlified by claude-haiku-5-5 on : a language model's rewrite of the original, under its terms